---
schema_version: "1"
id: 528c3471301296ede2413ac51f64e0c531f0f440c513cdb5e8edc2598930be7d
title: Get Layouts and Descriptions for a Specified Object
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-layouts-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-layouts-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 21059898336cb8371c38b72476dd66f46c5f2d66c656cca3d8b8f5c7df987009
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Layouts and Descriptions for a Specified Object

Retrieves lists of layouts and their descriptions for a single object.

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/describe/layouts/`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None required

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Battle_Station__c/describe/layouts/ -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
{
  "layouts" : [ {
    "buttonLayoutSection" : {
      "detailButtons" : [
          ...
      ]
    },
    "detailLayoutSections" : [
        ...
    ],
    "editLayoutSections" : [
        ...
    ],
    "feedView" : null,
    "highlightsPanelLayoutSection" : null,
    "id" : "00ho000000BKMebAAH",
    "multirowEditLayoutSections" : [ ],
    "offlineLinks" : [ ],
    "quickActionList" : {
      "quickActionListItems" : [
          ...
      ]
    },
    "relatedContent" : null,
    "relatedLists" : [
        ...
    ],
    "saveOptions" : [ ]
  } ],
  "recordTypeMappings" : [
      ...
  ],
  "recordTypeSelectorRequired" : [ false ]
}
```

